<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-RGGRRRZQG6"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag() {
        dataLayer.push(arguments);
      }
      gtag("js", new Date());
      gtag("config", "G-RGGRRRZQG6");
    </script>

    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="author" content="turretbox" />
    <meta name="robots" content="index,follow" />
    <meta name="googlebot" content="index,follow" />
    <meta name="theme-color" content="#ff3a3d" />
    <!--<meta name="twitter:card" content="summary_large_image" />-->
    <meta property="og:type" content="website" />
    <meta property="og:site_name" content="turret.app" />
    <meta property="og:title" content="Turret Engine - Minimalist game engine in .NET 8" />
    <meta property="og:url" content="https://turret.app/" />
    <meta property="og:image" content="https://turret.app/assets/images/brand.jpg" />
    <meta
      property="og:description"
      content="Turret is a crossplatform Game Engine in .NET 8 using SDL2 and Vulkan 1.3. Data-Driven ECS and Job System with performant multi-threading and auto-vectorized code"
    />
    <link rel="shortcut icon" href="./favicon.ico" type="image/x-icon" />

    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Turret - Game Engine</title>
    <link href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css" rel="stylesheet" />
    <link href="./css/style.css" rel="stylesheet" />
  </head>
  <body>
    <header class="h-24 w-full shadow-xl">
      <div class="max-w-7xl mx-auto px-6 md:px-0 h-full">
        <div class="h-full flex items-center">
          <img src="./assets/images/brand.jpg" alt="" class="h-12" />
        </div>
      </div>
      <!-- new div for other elements I guess-->
    </header>
    <main>
      <!-- Hero Section -->
      <section class="max-w-7xl mx-auto px-6 md:px-0 h-96 flex justify-between items-center eighty-three">
        <div>
          <h1 class="text-5xl font-bold">New Engine.</h1>
          <p class="w-80">Turret is a crossplatform game engine using <a href="https://www.libsdl.org/">SDL2</a> for window and controller management.</p>
          <p class="w-80">Only using <a href="https://www.vulkan.org/">Vulkan 1.3</a> for graphics and rendering.</p>
          <p class="w-80">
            <span class="keyword">Data-Driven ECS</span> and <span class="keyword">Job System</span> with performant multi-threading and auto-vectorized code.
          </p>
          <p class="w-80">Built with modern C# using features of <a href="https://dotnet.microsoft.com/">.NET 8</a>.</p>
          <div class="flex">
            <a href="https://docs.turret.app"><button class="btn">Docs</button></a>
            <button class="btn" disabled="disabled">Download</button>
          </div>
        </div>
        <div>
          <img src="./assets/images/vscode and turret.png" alt="sample being run in VScode" class="image-height" />
        </div>
      </section>
      <!-- Made with Section-->
      <section class="dependencies bg-turret-dependencies py-1">
        <div class="max-w-7xl mx-auto px-6 md:px-0">
          <div class="text-center text-2xl made-possible-by-text">Made possible with</div>
          <div class="flex items-center justify-between">
            <div>
              <img src="./assets/images/Csharp.png" alt="csharp icon" />
            </div>
            <div>
              <img src="./assets/images/vulkan.png" alt="vulkan logo" />
            </div>
            <div>
              <img src="./assets/images/sdl2.png" alt="sdl2 logo" />
            </div>
          </div>
        </div>
      </section>
      <!-- FIXME: maybe add some padding here -->
      <!-- Features Section-->
      <section class="features max-w-4xl py-10 mx-auto">
        <h2 class="text-5xl font-bold">Work in progress..</h2>

        <div class="news">
          <h3><a href="https://discord.gg/qtKt882Yyc">👩‍🔬 Discord Server</a></h3>
          <p>Feel free to join the discord server for up to date info and tests</p>
        </div>

        <div class="news">
          <h3><a href="https://docs.turret.app">📓 Documentation</a></h3>
          <p>
            Showcase and samples has been moved to the documentation, now with better explanations. We will update this site with new showcases of full
            features, instead of dividing all of it into small sections, differently from the documentation. As well as making it easier to grasp what this
            engine is about without having to read through the documentation.
          </p>
        </div>
      </section>
    </main>
    <footer class="max-w-7xl mx-auto px-6 md:px-0 py-3">
      <div class="flex flex-row justify-between">
        <p>List of links</p>
        <p>TOS?</p>
        <p>Copyright © 2024 Turret Engine</p>
      </div>
    </footer>
  </body>
</html>

<!--
mockup: https://www.figma.com/proto/b3ucQZw7OXiXCXGIGH4pXX/Untitled?node-id=0%3A1&scaling=min-zoom&page-id=0%3A1
-->
